pike.git / src / testsuite.in

version» Context lines:

pike.git/src/testsuite.in:1:   START_MARKER - test_true([["$Id: testsuite.in,v 1.845 2008/07/24 11:56:20 grubba Exp $"]]); + test_true([["$Id: testsuite.in,v 1.846 2008/08/07 14:05:47 mast Exp $"]]);      // This triggered a bug only if run sufficiently early.   test_compile_any([[#pike 7.2]])   test_compile_any([[#pike 7.4]])   test_compile_any([[#pike 7.0]])   test_compile_any([[#pike 0.6]])      cond([[all_constants()->_verify_internals]],   [[    test_do(_verify_internals())
pike.git/src/testsuite.in:873:    void y (void|string s) {x (s);}   ]])      test_compile_warning([[    #pragma strict_types    // NB: This case used to leak the type function(:string).    string x (string s) {return s;};    void y (string|int s) {x (s);};   ]])    + test_compile_any([[ +  #pragma strict_types +  array(string) x = ({"A", "B"}); +  mixed a() {return map (x, lower_case);} + ]]) +    cond( [[ master()->resolv("Pike")->Security ]],[[    test_any( [[    // bug [2830] ------------------------------------------------------------    // http://community/crunch/show_bug.cgi?id=2830    class User{};       object luser = User();       object luser_creds = Pike.Security.Creds(luser, 0, 0);    return !catch {